########################################################################
## jvm properties
########################################################################

jrun.server.displayname=My Server

# Redirection of Primordial output and error streams.  Run jrun
# program with -console argument to prevent standard out and error
# from being redirected to these files.
java.System.out={default}
java.System.err={default}

########################################################################
## Java VM settings
########################################################################

# path to java virtual machine.  Launchers will use system PATH if necessary
java.exe={default}

# java.exe flags to prepend when using the jrun.exe -debug option
# These are the JPDA options which allow the server's JVM to be started
# in debug mode so it can be debugged by a debugger (such as JRun Studio).
#
# Default value:-classic -Xnoagent -Xdebug -Xrunjdwp:transport=dt_socket,address=53006
java.args.debug=-classic -Xnoagent -Xdebug -Xrunjdwp:transport=dt_socket,address=53006

# extra virtual machine args
user.javaargs={default}

# shared library path for JNI libraries
user.jnipath={servlet.jnipath};{ejb.jnipath}

# Classpath
user.classpath={default}

########################################################################
## logging services
########################################################################

# Logging levels, as a comma separated list.
# Possible values are any combination of: debug, info, warning, error, metrics
logging.loglevel={default}
logging.listeners={default}


########################################################################
## license manager services
########################################################################

# license.properties (2.3: was in jsm-default/properties)
license.license={default}


########################################################################
## control services
########################################################################

# endpoint properties
control.endpoint.main.bindaddress={default}
control.endpoint.main.interface={default}
control.endpoint.main.port=56000
control.endpoint.main.timeout={default}
jrun.rootdir=C:\\PROGRA~1\\Allaire\\JRun
# list of services to start
servlet.services=jndi,jdbc,web,mail,url,{servlet.webapps}
webapp.services={default}

########################################################################
## java properties
########################################################################

# shared library path for JNI libraries
servlet.jnipath={default}

# Classpath
#
servlet.classpath={default}


# extra virtual machine args
servlet.javaargs={default}


########################################################################
## session services
########################################################################

# Invalidation time is the default session inactivity timeout.
# If the session is not accessed, it will be expired.  This value
# can be set on each session by calling HttpSession.setMaxInactiveTime()
# specified in minutes.
session.invalidationtime={default}

session.persistence={default}
session.sessionpath={default}

# settings for cookie-based sesssion tracking
session.cookie.maxage={default}
session.cookie.secure={default}
session.cookie.active={default}
session.cookie.domain={default}
session.cookie.comment={default}
session.cookie.path={default}
session.cookie.name={default}


########################################################################
## jcpservices
########################################################################

# endpoint properties
jcp.endpoint.main.interface={default}
jcp.endpoint.main.bindaddress={default}
jcp.endpoint.main.port=57000
jcp.endpoint.main.timeout={default}
jcp.endpoint.main.min.threads={default}
jcp.endpoint.main.active.threads={default}
jcp.endpoint.main.max.threads={default}


########################################################################
## web services
########################################################################

# endpoint properties
web.endpoint.main.bindaddress={default}
web.endpoint.main.interface={default}
web.endpoint.main.port=8200
web.endpoint.main.timeout={default}
web.endpoint.main.min.threads={default}
web.endpoint.main.active.threads={default}
web.endpoint.main.max.threads={default}

# docroot for JRun's web server
web.paths./={default-app.rootdir}/


########################################################################
## zeus ZDAC services
########################################################################

# endpoint properties
zeus.endpoint.main.bindaddress={default}
zeus.endpoint.main.interface={default}
zeus.endpoint.main.port=9200
zeus.endpoint.main.timeout={default}
zeus.endpoint.main.min.threads={default}
zeus.endpoint.main.active.threads={default}
zeus.endpoint.main.max.threads={default}


######################################################################
# JDBC DataSource Binding Service
#
#   jdbc.[data source name].driver       - the JDBCDriver class
#   jdbc.[data source name].url          - the JDBC database url
#   jdbc.[data source name].description  - the datasource description
#   jdbc.[data source name].display-name - the datasource display name
#   jdbc.[data source name].pooling      - use connection pooling. (default=false)
#   jdbc.[data source name].timeout      - connection object lifetime in minutes. (default=30 mins).
#   jdbc.[data source name].interval     - time interval between connection validation check in seconds. (default=60 seconds)
#   jdbc.[data source name].param.user     - the database login username
#   jdbc.[data source name].param.password     - the database login password
#   jdbc.[data source name].param.<other_custom_props>


#######################################################################
# JMS Queue/Topic Binding Service
#
#   jms.queue.[queue name].description   - JMS queue description
#   jms.queue.[queue name].display-name  - JMS queue display name in JMC
#   jms.topic.[topic name].description   - JMS topic description
#   jms.topic.[topic name].display-name  - JMS topic display name in JMC


#######################################################################
# JavaMail Session Binding Service
#
#   mail.[session name].description      - JavaMail session description
#   mail.[session name].display-name     - JavaMail session display name in JMC
#   mail.[session name].store.protocol   - JavaMail store protocol (pop or imap)
#   mail.[session name].transport.protocol - JavaMail transport protocol (smtp)
#   mail.[session name].host             - Mail server host name
#   mail.[session name].user             - Default username
#   mail.[session name].smtp.host        - Default SMTP server host name
#   mail.[session name].smtp.user        - Default SMTP user name
#   mail.[session name].imap.host        - Default IMAP server host name
#   mail.[session name].imap.user        - Default IMAP server user name
#   mail.[session name].pop3.host        - Default POP3 server host name
#   mail.[session name].pop3.user        - Default POP3 server user name
#   mail.[session name].from             - Default sender email address
#   mail.[session name].debug            - Enable debug messages (def=false)


#######################################################################
# URL Binding Service
#
# url.[url object name].description      - URL object description
# url.[url object name].display-name     - URL object display name in JMC
# url.[url object name].url-string       - URL string (e.g. http://....)



########################################################################
### global JRun properties
########################################################################

# initial pool size for SingleThreadModel servlets.  JRun will create
# as many instances of this class as it needs.  This is the number of
# automatically created instances.  The initial pool is created when
# the servlet is first accessed, or at system startup time if the servlet
# is configured to preload.
# JRun 2.3 used to be 6 by default.  JRun will
# always create one extra instance the first time (so it can use instanceof)
webapp.singlethread.initpoolsize={default}

# temp directory for the JVM
webapp.tempdir={default}


### mimeservlets.properties (mime-type chaining)
# syntax is: webapp.mime-servlet.[mimetype]=[servletName]

### mime.properties (mime extensions)
# syntax is:  webapp.mime-mapping.[extension]=[mimetype]

### pathtrans.properties
webapp.pathcount={default}
#webapp.path0.from=/virtualdir
#webapp.path0.to=/realdir


########################################################################
## general servlet/service settings
########################################################################

# Here is an example of how to configure the JRun Servlet connector.
# this allows JRun's to be distributed across processes or across
# the network
#remote.class={default}
#remote.proxyhost={default}
#remote.proxyport={default}

### taglet.properties (dynamic taglets in ssi)
# Note- this feature is deprecated in JRun 3.0. The functionality offered
#       by taglets can be replaced with JSP 1.1 tag libraries.
# Property Syntax: ssifilter.[tag].DynamicTaglet=[servlet name]
#ssifilter.createtable.DynamicTaglet=TagletDemoServlet
#ssifilter.datetag.DynamicTaglet=DateServlet

########################################################################
## rules
########################################################################

webapp.servlet-mapping./servlet={default}
webapp.servlet-mapping.*.jrun={default}
webapp.servlet-mapping.*.shtml={default}
webapp.servlet-mapping.*.jsp={default}
webapp.servlet-mapping.*.thtml={default}


########################################################################
# Web Application Settings
########################################################################

#
# List of all configurable web applications.
# There should be one app name per application definition.
#
# Property name: servlet.webapps
# Property value format: comma delimited list of webapp names.
#
servlet.webapps=default-app,demo-app,demoapp2,testapp

#
# Web Application definitions
#
# Summary of steps for registering a web application:
#   1. create a app name to filesystem directory mapping
#   2. create one or more URL to app name mappings
#   3. register the app name with the jvm.webapps property
#
#
# Application to filesytem mapping property
# - this property defines the name of an app (must be unique) and its source filesytem directory
# - the directory should be an expanded Servlet 2.2 war file
# - property format: <app name>.rootdir=<filesystem path to root application directory>
#
# URL to web application mapping properties
# - these properties define the URLs that clients can use to access applications.
# - property format: jrun.webapp-mapping.[//<hostname>]<uri>
# 
# Sample Application Properties:
#
#   bar-app=c:/webapps/bar-app
#      - defines the app named 'bar-app' who's filesystem directory exists at c:/webapp/bar-app
#
#   jrun.webapp-mapping.www.foo.com/store=bar-app
#      - maps bar-app to the URL /store only for host www.foo.com
#
#   jrun.webapp-mapping./store=bar-app
#      - maps bar-app to /store for all hosts


default-app.use-webserver-root=true
default-app.rootdir=C:\\Program Files\\Allaire\\JRun\\servers\\myserver\\default-app
default-app.class={webapp.service-class}
webapp.mapping./=default-app
demo-app.rootdir=C:\\Program Files\\Allaire\\JRun\\servers\\default\\demo-app
demo-app.class={webapp.service-class}
webapp.mapping./demo=demo-app

########################################################################
### EJB properties
########################################################################

# shared library path for JNI libraries
ejb.jnipath={default}

# Classpath
ejb.classpath={default}

# extra virtual machine args
ejb.javaargs=-Dejipt.classServer.host=127.0.0.1 -Dejipt.classServer.port=2424 -Dejipt.homePort=2444"-Djava.security.policy={jrun.rootdir}/lib/jrun.policy" "-Dejipt.home={jrun.rootdir}" "-Dejipt.ejbDirectory={jrun.server.rootdir}"

# list of services to start
ejb.services=ejb,jms
demoapp2.rootdir=C:\\Program Files\\Allaire\\JRun\\servers\\default\\demoapp2
demoapp2.class={webapp.service-class}
webapp.mapping./demoapp2=demoapp2
testapp.rootdir=E:\\jrunqa\\qa\\jrun30\\testsource\\jsp
testapp.class={webapp.service-class}
webapp.mapping./testapp=testapp
